Skip Menu |
 

This queue is for tickets about the Wx CPAN distribution.

Report information
The Basics
Id: 121224
Status: open
Priority: 0/
Queue: Wx

People
Owner: Nobody in particular
Requestors: tcallawa [...] redhat.com
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 0.9929
Fixed in: 0.9931



Subject: key codes are not valid for older Wx versions
Download (untitled) / with headers
text/plain 681b
The nicer key codes (e.g. WXK_CONTROL_A) were not added until wx 2.9.2, but Constant.xs thinks that anything less than 3.0.2 has them. This fix resolves the build failure against the 2.8 Wx code. --- Wx-0.9931/Constant.xs.fixes 2017-04-17 14:41:38.466618321 -0400 +++ Wx-0.9931/Constant.xs 2017-04-17 14:41:43.873484635 -0400 @@ -1817,7 +1817,7 @@ static double constant( const char* name case 'K': if( strnEQ( name, "WXK_", 4 ) ) { -#if WXPERL_W_VERSION_LT( 3, 0, 2 ) +#if WXPERL_W_VERSION_GE( 2, 9, 2 ) r( WXK_NONE ); // keycode r( WXK_CONTROL_A ); // keycode r( WXK_CONTROL_B ); // keycode
Download (untitled) / with headers
text/plain 798b
Thank you. Fixed in 0.9932 On Mon Apr 17 14:48:23 2017, tcallawa@redhat.com wrote: Show quoted text
> The nicer key codes (e.g. WXK_CONTROL_A) were not added until wx > 2.9.2, but Constant.xs thinks that anything less than 3.0.2 has them. > This fix resolves the build failure against the 2.8 Wx code. > > --- Wx-0.9931/Constant.xs.fixes 2017-04-17 14:41:38.466618321 -0400 > +++ Wx-0.9931/Constant.xs 2017-04-17 14:41:43.873484635 -0400 > @@ -1817,7 +1817,7 @@ static double constant( const char* name > case 'K': > if( strnEQ( name, "WXK_", 4 ) ) > { > -#if WXPERL_W_VERSION_LT( 3, 0, 2 ) > +#if WXPERL_W_VERSION_GE( 2, 9, 2 ) > r( WXK_NONE ); // keycode > r( WXK_CONTROL_A ); // keycode > r( WXK_CONTROL_B ); // keycode


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.